
QGIS Application - Bug report #2420

Layer editing is unavailable

2010-02-09 03:48 AM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12480

Description

If set any subset of vector layer by Query Builder then editing is disabled and I can't to edit attributes of this subset. Is it bug or feature?

Related issues:

Related to QGIS Application - Bug report # 2951: Layers become non-editable Closed

History

#1 - 2010-02-09 04:29 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

QGIS justs asks the data provider about it capabilities.

For [[PostgreSQL]] editing is not restricted by a subset string, but for (some?) OGR drivers like ESRI Shapefile this is true.

So this isn't a bug.

#2 - 2018-08-02 06:30 PM - Jürgen Fischer

- Related to Bug report #2951: Layers become non-editable added
